summaryrefslogtreecommitdiffstats
path: root/development/scite
diff options
context:
space:
mode:
author Iskar Enev2010-05-13 00:25:31 +0200
committer David Somero2010-05-13 00:25:31 +0200
commit42d70a6379eee5527a104d4c37912792c6c0ff4c (patch)
treeaff2fbb60db02841920dae9bda05a87bac146f15 /development/scite
parentc3e3716052265464f217ab6df9fe202a54b418ea (diff)
downloadslackbuilds-42d70a6379eee5527a104d4c37912792c6c0ff4c.tar.gz
development/scite: Updated for version 2.01
Diffstat (limited to 'development/scite')
-rw-r--r--development/scite/doinst.sh3
-rw-r--r--development/scite/scite.SlackBuild16
-rw-r--r--development/scite/scite.info12
3 files changed, 21 insertions, 10 deletions
diff --git a/development/scite/doinst.sh b/development/scite/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/scite/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/scite/scite.SlackBuild b/development/scite/scite.SlackBuild
index 6a9343b42c..a6997f386e 100644
--- a/development/scite/scite.SlackBuild
+++ b/development/scite/scite.SlackBuild
@@ -3,7 +3,7 @@
# Written by Iskar Enev <iskar.enev[@]gmail.com>
PRGNAM=scite
-VERSION=1.77
+VERSION=2.01
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -15,10 +15,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -40,7 +43,6 @@ make prefix=/usr
cd $TMP/scite/gtk
sed -i "s%CXXBASEFLAGS=-W -Wall -Wno-char-subscripts -pedantic -Os %CXXBASEFLAGS=-W -Wall -Wno-char-subscripts -pedantic %" makefile
sed -i "s%CXXTFLAGS=-DNDEBUG -Os %CXXTFLAGS=-DNDEBUG $SLKCFLAGS %" makefile
-sed -i "s%INSTALL=install -o root -g root%INSTALL=install%" makefile
make prefix=/usr
make install DESTDIR=$PKG
@@ -48,8 +50,10 @@ make install DESTDIR=$PKG
( cd $PKG/usr/bin ; ln -sf SciTE scite )
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
cd $TMP/scite
@@ -64,6 +68,8 @@ cat doc/scite.1 | gzip -9c > $PKG/usr/man/man1/scite.1.gz
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/development/scite/scite.info b/development/scite/scite.info
index 15a90c4152..dd545201e0 100644
--- a/development/scite/scite.info
+++ b/development/scite/scite.info
@@ -1,8 +1,10 @@
PRGNAM="scite"
-VERSION="1.77"
+VERSION="2.01"
HOMEPAGE="http://scintilla.org/SciTE.html"
-DOWNLOAD="http://downloads.sourceforge.net/scintilla/scite177.tgz"
-MD5SUM="ba016919190c12cfb712e1f004df4187"
+DOWNLOAD="http://downloads.sourceforge.net/scintilla/scite201.tgz"
+MD5SUM="ef4b6b4d903c29e4ab511488a0d20f46"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Iskar Enev"
-EMAIL="iskar.enev@gmail.com"
-APPROVED="dsomero" \ No newline at end of file
+EMAIL="<iskar.enev[@]gmail.com>"
+APPROVED="dsomero"